Bug 169840 - Unknown properties when running up2date
Summary: Unknown properties when running up2date
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Beth Nackashi
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168424 169775
TreeView+ depends on / blocked
 
Reported: 2005-10-04 11:19 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0105
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 15:34:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0105 qe-ready SHIPPED_LIVE up2date bug fix update 2006-03-14 05:00:00 UTC

Description Bastien Nocera 2005-10-04 11:19:34 UTC
up2date-4.4.44-3

The rh_register.glade file was edited with a new version of GTK+/glade and
properties unknown to the GTK+ version in RHEL3 were added, which means that
errors show up on the command-line, such as:
(up2date:2571): libglade-WARNING**: unknown property `focus_on_click' for class
`GtkRadioButton'

Work-around:
cd /usr/share/rhn/up2date_client
cat rh_register.glade | grep -v focus_on_click > tmp
mv -f tmp rh_register.glade

Comment 3 Bastien Nocera 2005-10-04 15:08:10 UTC
The reproducer is:
1. Install RHEL3 U6, or up2date to it
2. Run up2date.
You'll see a ton of errors related to the unknown properties

Comment 5 Adrian Likins 2005-10-04 17:15:28 UTC
new glade generates gladefiles that old libglade complains. The specific
attributes need to be ripped out of the generated glade files for rhel3.



Comment 6 Adrian Likins 2005-10-06 21:59:18 UTC
of course, re comment #5, that was mentioned in comment #1, just
need to add the glade munging to the build

Comment 7 Adrian Likins 2005-10-17 17:11:21 UTC
shouldfix

Comment 8 Adrian Likins 2005-10-27 21:16:51 UTC
adding munge in Makefile to remove those focus_on_click properties in glade files

Comment 12 Beth Nackashi 2005-12-14 16:03:33 UTC
verified on i386, ia64, and x86_64 using up2date-4.4.56-3

Comment 14 Red Hat Bugzilla 2006-03-15 15:34:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0105.html



Note You need to log in before you can comment on or make changes to this bug.